Subject: Re: Remembering which http remotes require authentication

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jun 2023 15:12:23 -0700

M Hickford <[email-masked]> writes:

> Could Git remember which remotes require authentication for which
> operations?

Interesting idea.

Credential helpers may know which URL needed authentication before,
but that is not per operation.  I wonder if it is sufficient as the
zeroth approximation to always try authenticated access if helpers
have any auth material to the URL regardless of the operation?

There needs a way to force unautheticated access if we were to do
anything of that sort, of course.